## gnome-shell-extension-dash-to-panel 9

=== Makefile ===
# Basic Makefile

UUID = dash-to-panel@jderose9.github.com
BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
EXTRA_MODULES = appIcons.js convenience.js panel.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js Settings.ui
EXTRA_IMAGES = highlight_bg.svg highlight_stacked_bg.svg
TOLOCALIZE =  prefs.js appIcons.js
MSGSRC = $(wildcard po/*.po)
ifeq ($(strip $(DESTDIR)),)
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
endif
INSTALLNAME = dash-to-panel@jderose9.github.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-panel.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/dash-to-panel.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/dash-to-panel.pot; \
	done;

./po/dash-to-panel.pot: $(TOLOCALIZE) Settings.ui
	mkdir -p po
	xgettext -k_ -kN_ -o po/dash-to-panel.pot --package-name "Dash To Panel" $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Settings.ui
	xgettext -k_ -kN_ --join-existing -o po/dash-to-panel.pot Settings.ui.h

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/img
	cd img ; cp $(EXTRA_IMAGES) ../_build/img/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/dash-to-panel.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

## gnome-shell-extension-dash-to-panel 10

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (10-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - Add copyright information for new Russian translations
  * debian/control:
    - Update maintainer e-mail address
    - Update standards version to 4.1.1 (no related changes)

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 Oct 2017 09:50:03 +0200

gnome-shell-extension-dash-to-panel (9-2) unstable; urgency=medium

  * Fix Dcs-git field in debian/control
  * Update standards version to 4.0.1 (no changes)

 -- Jonathan Carter <jcc@debian.org>  Fri, 11 Aug 2017 12:38:11 -0400

gnome-shell-extension-dash-to-panel (9-1) unstable; urgency=medium

  * Initial release (Closes: #852164)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 12 Jul 2017 13:51:06 +0200

=== debian/control ===
Source: gnome-shell-extension-dash-to-panel
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 10), libglib2.0-bin, zip
Standards-Version: 4.1.1
Homepage: https://github.com/jderose9/dash-to-panel
Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dash-to-panel-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dash-to-panel-packaging/tree/master

Package: gnome-shell-extension-dash-to-panel
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.18)
Description: combines the dash and the GNOME main panel into a single panel
 Moves the dash into the GNOME main panel so that the application launchers
 and system tray are combined into a single panel, similar to that found
 in KDE Plasma and Windows 7+.
 .
 A separate dock is no longer needed for easy access to running and
 favorited applications.

=== debian/watch ===
version=4
https://github.com/jderose9/dash-to-panel/releases .*?v(\d\S*)\.tar\.gz

## gnome-shell-extension-dash-to-panel 12

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (12-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file
  * Update compat to level 11
  * Update standards version to 4.1.3
  * Update copyright years, russian translation renaming
  * Move vcs repository to salsa.debian.org

 -- Jonathan Carter <jcc@debian.org>  Tue, 20 Feb 2018 10:25:37 +0200

gnome-shell-extension-dash-to-panel (11-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Oct 2017 08:58:34 +0200

=== debian/watch ===
version=4
https://github.com/jderose9/dash-to-panel/releases (.+)\.tar\.gz

## gnome-shell-extension-dash-to-panel 13

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
 EXTRA_MODULES = appIcons.js convenience.js panel.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js Settings.ui
-EXTRA_IMAGES = highlight_bg.svg highlight_stacked_bg.svg
+EXTRA_IMAGES = highlight_stacked_bg.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
@@ -15,13 +15,15 @@
 
 # The command line passed variable VERSION is used to set the version string
 # in the metadata and in the generated zip-file. If no VERSION is passed, the
-# current commit SHA1 is used as version number in the metadata while the
-# generated zip file has no string attached.
+# version is pulled from the latest git tag and the current commit SHA1 is 
+# added to the metadata
 ifdef VERSION
-	VSTRING = _v$(VERSION)
+	FILESUFFIX = _v$(VERSION)
 else
-	VERSION = $(shell git rev-parse HEAD)
-	VSTRING =
+	LATEST_TAG = $(shell git describe --match "v[0-9]*" --abbrev=0 --tags HEAD)
+	VERSION = $(LATEST_TAG:v%=%)
+	COMMIT = $(shell git rev-parse HEAD)
+	FILESUFFIX =
 endif
 
 all: extension
@@ -61,8 +63,8 @@
 
 zip-file: _build
 	cd _build ; \
-	zip -qr "$(UUID)$(VSTRING).zip" .
-	mv _build/$(UUID)$(VSTRING).zip ./
+	zip -qr "$(UUID)$(FILESUFFIX).zip" .
+	mv _build/$(UUID)$(FILESUFFIX).zip ./
 	-rm -fR _build
 
 _build: all
@@ -81,4 +83,8 @@
 		mkdir -p $$lf/LC_MESSAGES; \
 		cp $$l $$lf/LC_MESSAGES/dash-to-panel.mo; \
 	done;
-	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;
+ifneq ($(and $(COMMIT),$(VERSION)),)
+	sed -i 's/"version": [[:digit:]][[:digit:]]*/"version": $(VERSION),\n"commit": "$(COMMIT)"/'  _build/metadata.json;
+else ifneq ($(VERSION),)
+	sed -i 's/"version": [[:digit:]][[:digit:]]*/"version": $(VERSION)/'  _build/metadata.json;
+endif

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (13-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 08 Mar 2018 14:31:14 +0200

gnome-shell-extension-dash-to-panel (12-2) unstable; urgency=medium

  * Fix watch file

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 Mar 2018 10:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 10), libglib2.0-bin, zip
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), libglib2.0-bin, zip
+Standards-Version: 4.1.3
 Homepage: https://github.com/jderose9/dash-to-panel
-Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-dash-to-panel-packaging.git
-Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-dash-to-panel-packaging/tree/master
+Vcs-Git: https://salsa.debian.org/jcc/gnome-shell-extension-dash-to-panel.git
+Vcs-Browser: https://salsa.debian.org/jcc/gnome-shell-extension-dash-to-panel
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/COPYING

=== debian/watch ===
version=4
https://github.com/jderose9/dash-to-panel/releases .*/jderose9/dash-to-panel/archive/v?(\d\S*)\.tar\.gz

## gnome-shell-extension-dash-to-panel 14

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js intellihide.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (14-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to new upstream location
  * Update standards version to 4.1.4
  * Update copyright for translations
  * Install dcong schemas system-wide

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 May 2018 09:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11), libglib2.0-bin, zip
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/jcc/gnome-shell-extension-dash-to-panel.git
 Vcs-Browser: https://salsa.debian.org/jcc/gnome-shell-extension-dash-to-panel

## gnome-shell-extension-dash-to-panel 15

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (15-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Jun 2018 12:02:12 +0200

## gnome-shell-extension-dash-to-panel 16

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js intellihide.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js intellihide.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js utils.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (16-1) unstable; urgency=medium

  * New upstream release (Closes: #905110)
  * Update standards version to 4.2.1 
  * Move git repository to shell-extensions team

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Sep 2018 10:04:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11), libglib2.0-bin, zip
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/jderose9/dash-to-panel
-Vcs-Git: https://salsa.debian.org/jcc/gnome-shell-extension-dash-to-panel.git
-Vcs-Browser: https://salsa.debian.org/jcc/gnome-shell-extension-dash-to-panel
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all

## gnome-shell-extension-dash-to-panel 17

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (17-1) unstable; urgency=medium

  * New upstream release
  * Add new translation copyright information to debian/copyright
  * Update standards version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 Jan 2019 18:40:54 +0200

## gnome-shell-extension-dash-to-panel 18

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js intellihide.js panelStyle.js overview.js taskbar.js windowPreview.js prefs.js utils.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (18-1) unstable; urgency=medium

  * New upstream release
  * Update dopyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 16 Jan 2019 08:23:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11), libglib2.0-bin, zip
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,5 @@
 override_dh_install:
 	dh_install
 	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/COPYING
+	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/README.md

## gnome-shell-extension-dash-to-panel 19

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (19-1) unstable; urgency=medium

  * New upstream release
  * Fix typo in previous changelog entry
  * Upgrade to debhelper-compat (= 12)

 -- Jonathan Carter <jcc@debian.org>  Thu, 14 Mar 2019 13:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11), libglib2.0-bin, zip
+Build-Depends: debhelper-compat (= 12), libglib2.0-bin, zip
 Standards-Version: 4.3.0
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git

## gnome-shell-extension-dash-to-panel 20

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (20-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - add copyright for Taiwanese translation
    - update Russian translation path

 -- Jonathan Carter <jcc@debian.org>  Thu, 01 Aug 2019 09:56:14 +0000

gnome-shell-extension-dash-to-panel (19-2) unstable; urgency=medium

  * Initial source-only upload
  * Update standards version to 4.4.0 

 -- Jonathan Carter <jcc@debian.org>  Tue, 09 Jul 2019 09:49:46 +0000

## gnome-shell-extension-dash-to-panel 23

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (23-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Sep 2019 12:43:58 +0000

gnome-shell-extension-dash-to-panel (21-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Aug 2019 12:49:01 +0000

## gnome-shell-extension-dash-to-panel 25

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
 EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui
-EXTRA_IMAGES = highlight_stacked_bg.svg
+EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
+
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (25-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.4.1

 -- Jonathan Carter <jcc@debian.org>  Mon, 28 Oct 2019 20:13:40 +0200

## gnome-shell-extension-dash-to-panel 26

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js update.js utils.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
 
-TOLOCALIZE =  prefs.js appIcons.js
+TOLOCALIZE =  prefs.js appIcons.js update.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
@@ -72,6 +72,11 @@
 	-rm -fR ./_build
 	mkdir -p _build
 	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
+
+ifeq ($(TARGET),ego)
+	find _build -name '*.js' -exec sed -i '/\/\/!start-update/,/\/\/!end-update/d' {} +
+endif
+
 	mkdir -p _build/img
 	cd img ; cp $(EXTRA_IMAGES) ../_build/img/
 	mkdir -p _build/schemas

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (26-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 18 Nov 2019 15:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), libglib2.0-bin, zip
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel

## gnome-shell-extension-dash-to-panel 31

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js update.js utils.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js progress.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js update.js utils.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
 
 TOLOCALIZE =  prefs.js appIcons.js update.js
@@ -19,7 +19,11 @@
 # version is pulled from the latest git tag and the current commit SHA1 is 
 # added to the metadata
 ifdef VERSION
-	FILESUFFIX = _v$(VERSION)
+    ifdef TARGET
+		FILESUFFIX = _v$(VERSION)_$(TARGET)
+	else
+		FILESUFFIX = _v$(VERSION)
+	endif
 else
 	LATEST_TAG = $(shell git describe --match "v[0-9]*" --abbrev=0 --tags HEAD)
 	VERSION = $(LATEST_TAG:v%=%)

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (31-1ubuntu20.04.1) focal; urgency=medium

  * Apply patch as SRU to fix extension breaking, bug (LP: #1892245)

 -- Fabio Colella <fcole90@gmail.com>  Thu, 10 Sep 2020 11:37:11 +0200

gnome-shell-extension-dash-to-panel (31-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 28 Mar 2020 10:30:38 +0200

gnome-shell-extension-dash-to-panel (29-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root: no
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 10 Mar 2020 15:05:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnome-shell-extension-dash-to-panel
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), libglib2.0-bin, zip
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel

=== debian/watch ===
version=4
https://github.com/home-sweet-gnome/dash-to-panel/releases .*/home-sweet-gnome/dash-to-panel/archive/v?(\d\S*)\.tar\.gz

## gnome-shell-extension-dash-to-panel 37

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (37-2) unstable; urgency=medium

  * Add dependency on gnome-shell-extension-prefs.

 -- Jonathan Carter <jcc@debian.org>  Mon, 27 Apr 2020 17:43:31 +0200

gnome-shell-extension-dash-to-panel (37-1) unstable; urgency=medium

  * New upstream release (Closes: #956162, #954978)

 -- Jonathan Carter <jcc@debian.org>  Mon, 27 Apr 2020 17:32:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell-extension-dash-to-panel
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), libglib2.0-bin, zip
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -12,7 +11,7 @@
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.18)
+Depends: ${misc:Depends}, gnome-shell (>= 3.18), gnome-shell-extension-prefs
 Description: combines the dash and the GNOME main panel into a single panel
  Moves the dash into the GNOME main panel so that the application launchers
  and system tray are combined into a single panel, similar to that found

## gnome-shell-extension-dash-to-panel 40

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js progress.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js update.js utils.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js progress.js panelPositions.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js update.js utils.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
 
 TOLOCALIZE =  prefs.js appIcons.js update.js

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (40-1) unstable; urgency=medium

  * New upstream release (Closes: #971087)
  * Update copyright file for new file po/gl.po

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Oct 2020 14:37:14 +0200

gnome-shell-extension-dash-to-panel (39-1) unstable; urgency=medium

  * New upstream release
  * Remove patch (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Sep 2020 23:08:40 +0200

gnome-shell-extension-dash-to-panel (38-2) unstable; urgency=medium

  * Apply patch to fix overview bug (Closes: #968613)

 -- Jonathan Carter <jcc@debian.org>  Wed, 19 Aug 2020 11:51:57 +0200

gnome-shell-extension-dash-to-panel (38-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * New upstream release
  * Upgrade to debhelper-compat 13

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Jul 2020 12:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), libglib2.0-bin, zip
+Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel

## gnome-shell-extension-dash-to-panel 43

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (43-2) unstable; urgency=medium

  * GNOME Team upload for GNOME 40 transition
  * Require gnome-shell >= 40 (Closes: #993887)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 18:32:25 +0100

gnome-shell-extension-dash-to-panel (43-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + gnome-shell-extension-dash-to-panel: Drop versioned constraint on
      gnome-shell in Depends.

  [ Jonathan Carter ]
  * New upstream release (Closes: #989546, #993058)
  * Update standards version to 4.6.1
  * Update copyright years
  * Fix watch file

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 17:02:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.18), gnome-shell-extension-prefs
+Depends: ${misc:Depends}, gnome-shell (>= 40), gnome-shell-extension-prefs
 Description: combines the dash and the GNOME main panel into a single panel
  Moves the dash into the GNOME main panel so that the application launchers
  and system tray are combined into a single panel, similar to that found

## gnome-shell-extension-dash-to-panel 43+git20210906-b7213be

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (43+git20210906-b7213be-2) unstable; urgency=medium

  * Merge changes from previous git commit

 -- Jonathan Carter <jcc@debian.org>  Wed, 20 Oct 2021 10:21:08 +0200

gnome-shell-extension-dash-to-panel (43+git20210906-b7213be-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #996049)
  * Fix standards version, set to 4.6.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 20 Oct 2021 10:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git

## gnome-shell-extension-dash-to-panel 45

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js progress.js panelPositions.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js update.js utils.js Settings.ui
+EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js progress.js panelPositions.js panelSettings.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui
 EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
 
-TOLOCALIZE =  prefs.js appIcons.js update.js
+TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
@@ -77,10 +77,6 @@
 	mkdir -p _build
 	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
 
-ifeq ($(TARGET),ego)
-	find _build -name '*.js' -exec sed -i '/\/\/!start-update/,/\/\/!end-update/d' {} +
-endif
-
 	mkdir -p _build/img
 	cd img ; cp $(EXTRA_IMAGES) ../_build/img/
 	mkdir -p _build/schemas

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (45-1) unstable; urgency=medium

  * New upstream release
  * Add copyright entry for new translation (po/sk.po)

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Dec 2021 10:12:12 +0200

## gnome-shell-extension-dash-to-panel 52

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = dash-to-panel@jderose9.github.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js convenience.js panel.js panelManager.js proximity.js intellihide.js progress.js panelPositions.js panelSettings.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui
+EXTRA_MODULES = appIcons.js panel.js panelManager.js proximity.js intellihide.js progress.js panelPositions.js panelSettings.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui desktopIconsIntegration.js
 EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
 
 TOLOCALIZE =  prefs.js appIcons.js
@@ -50,9 +50,10 @@
 
 ./po/dash-to-panel.pot: $(TOLOCALIZE) Settings.ui
 	mkdir -p po
-	xgettext -k_ -kN_ -o po/dash-to-panel.pot --package-name "Dash To Panel" $(TOLOCALIZE)
+	xgettext -k_ -kN_ -o po/dash-to-panel.pot --package-name "Dash To Panel" $(TOLOCALIZE) --from-code=UTF-8
 	intltool-extract --type=gettext/glade Settings.ui
 	xgettext -k_ -kN_ --join-existing -o po/dash-to-panel.pot Settings.ui.h
+	sed -i -e 's/&\#10;/\\n/g' po/dash-to-panel.pot
 
 ./po/%.mo: ./po/%.po
 	msgfmt -c $< -o $@

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (52-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 18 Oct 2022 15:49:37 +0200

gnome-shell-extension-dash-to-panel (51-1) unstable; urgency=medium

  * Team upload

  [ Jesús Soto ]
  * New upstream release (Closes: #1018194)

  [ Jeremy Bicha ]
  * debian/control: Set maximum gnome-shell to 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 14:47:05 -0400

gnome-shell-extension-dash-to-panel (50-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 May 2022 13:29:59 +0200

gnome-shell-extension-dash-to-panel (49-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Apr 2022 12:59:06 +0200

gnome-shell-extension-dash-to-panel (48-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 20 Apr 2022 19:27:34 +0200

gnome-shell-extension-dash-to-panel (46-1) unstable; urgency=medium

  * New upstream release (Closes: #1008538)
  * Bump minimal gnome-shell dependency to version 41

 -- Jonathan Carter <jcc@debian.org>  Mon, 11 Apr 2022 09:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 40), gnome-shell-extension-prefs
+Depends: ${misc:Depends}, gnome-shell (>= 41), gnome-shell (<< 44~), gnome-shell-extension-prefs
 Description: combines the dash and the GNOME main panel into a single panel
  Moves the dash into the GNOME main panel so that the application launchers
  and system tray are combined into a single panel, similar to that found

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 	dh_install
 	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/COPYING
 	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/README.md
-

=== debian/watch ===
version=4
https://github.com/home-sweet-gnome/dash-to-panel/tags .*/v?(\d\S*)\.tar\.gz

## gnome-shell-extension-dash-to-panel 56

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (56-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2
  * Update gnome-shell dependency to (<< 45~)

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 11:12:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 41), gnome-shell (<< 44~), gnome-shell-extension-prefs
+Depends: ${misc:Depends}, gnome-shell (>= 41), gnome-shell (<< 45~), gnome-shell-extension-prefs
 Description: combines the dash and the GNOME main panel into a single panel
  Moves the dash into the GNOME main panel so that the application launchers
  and system tray are combined into a single panel, similar to that found

## gnome-shell-extension-dash-to-panel 65

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (65-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 03 Feb 2025 11:21:47 +0200

gnome-shell-extension-dash-to-panel (64-1) unstable; urgency=medium

  * New upstream release
  * Clean up translations on dh_clean (Closes: #1044482)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Nov 2024 08:41:55 +0200

gnome-shell-extension-dash-to-panel (63-1) unstable; urgency=medium

  * New upstream release (Closes: #1079241)
  * Update gnome-shell dependency to include version 47

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 12:11:51 +0200

gnome-shell-extension-dash-to-panel (62-1) unstable; urgency=high

  * Team upload
  * Update minimum GNOME Shell version to match metadata.json
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jul 2024 08:11:56 -0400

gnome-shell-extension-dash-to-panel (62-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #1069113)

 -- Jonathan Carter <jcc@debian.org>  Tue, 23 Apr 2024 14:48:39 +0200

gnome-shell-extension-dash-to-panel (60-1~exp2) experimental; urgency=medium

  * Upload to experimental

 -- Jonathan Carter <jcc@debian.org>  Sat, 30 Mar 2024 10:24:01 +0200

gnome-shell-extension-dash-to-panel (60-1~exp1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Jan 2024 14:49:30 +0200

gnome-shell-extension-dash-to-panel (59-1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #1052092)
  * Bump minimum GNOME Shell to 45 to match metadata.json
  * Add debian/gbp.conf
  * Drop no longer needed Build-Depends: zip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 24 Sep 2023 13:37:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gnome-shell-extension-dash-to-panel
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper-compat (= 13), libglib2.0-bin
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel
@@ -11,7 +12,7 @@
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 41), gnome-shell (<< 45~), gnome-shell-extension-prefs
+Depends: ${misc:Depends}, gnome-shell (>= 46~), gnome-shell (<< 48~), gnome-shell-extension-prefs
 Description: combines the dash and the GNOME main panel into a single panel
  Moves the dash into the GNOME main panel so that the application launchers
  and system tray are combined into a single panel, similar to that found

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 	dh_install
 	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/COPYING
 	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/README.md
+
+override_dh_clean:
+	rm -f */*.mo
+	dh_clean

## gnome-shell-extension-dash-to-panel 68

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Basic Makefile
 
 UUID = dash-to-panel@jderose9.github.com
-BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = appIcons.js panel.js panelManager.js proximity.js intellihide.js progress.js panelPositions.js panelSettings.js panelStyle.js overview.js taskbar.js transparency.js windowPreview.js prefs.js utils.js Settings.ui desktopIconsIntegration.js
-EXTRA_IMAGES = highlight_stacked_bg.svg highlight_stacked_bg_2.svg highlight_stacked_bg_3.svg
+MODULES = src/*.js src/stylesheet.css metadata.json COPYING README.md
+UI_MODULES = ui/*.ui
+IMAGES = ./* ../media/design/svg/dash-to-panel-logo-light.svg
 
-TOLOCALIZE =  prefs.js appIcons.js
+TOLOCALIZE = src/extension.js src/prefs.js src/appIcons.js src/taskbar.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
@@ -16,7 +16,7 @@
 
 # The command line passed variable VERSION is used to set the version string
 # in the metadata and in the generated zip-file. If no VERSION is passed, the
-# version is pulled from the latest git tag and the current commit SHA1 is 
+# version is pulled from the latest git tag and the current commit SHA1 is
 # added to the metadata
 ifdef VERSION
     ifdef TARGET
@@ -48,11 +48,16 @@
 		msgmerge -U $$l ./po/dash-to-panel.pot; \
 	done;
 
-./po/dash-to-panel.pot: $(TOLOCALIZE) Settings.ui
+./po/dash-to-panel.pot: $(TOLOCALIZE)
 	mkdir -p po
 	xgettext -k_ -kN_ -o po/dash-to-panel.pot --package-name "Dash To Panel" $(TOLOCALIZE) --from-code=UTF-8
-	intltool-extract --type=gettext/glade Settings.ui
-	xgettext -k_ -kN_ --join-existing -o po/dash-to-panel.pot Settings.ui.h
+
+	for l in $(UI_MODULES) ; do \
+		intltool-extract --type=gettext/glade $$l; \
+		xgettext -k_ -kN_ -o po/dash-to-panel.pot $$l.h --join-existing --from-code=UTF-8; \
+		rm -rf $$l.h; \
+	done;
+
 	sed -i -e 's/&\#10;/\\n/g' po/dash-to-panel.pot
 
 ./po/%.mo: ./po/%.po
@@ -76,10 +81,12 @@
 _build: all
 	-rm -fR ./_build
 	mkdir -p _build
-	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
+	cp $(MODULES) _build
+	mkdir -p _build/ui
+	cp $(UI_MODULES) _build/ui
 
 	mkdir -p _build/img
-	cd img ; cp $(EXTRA_IMAGES) ../_build/img/
+	cd img ; cp $(IMAGES) ../_build/img/
 	mkdir -p _build/schemas
 	cp schemas/*.xml _build/schemas/
 	cp schemas/gschemas.compiled _build/schemas/

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (68-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json
  * Demote Depends: gnome-shell-extension-prefs to Recommends
    and add alternative gnome-shell-extension-manager

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 18:53:12 -0400

gnome-shell-extension-dash-to-panel (68-1) unstable; urgency=medium

  * New upstream release 
  * Remove patch for gnome-shell 48 support

 -- Jonathan Carter <jcc@debian.org>  Wed, 12 Mar 2025 16:07:49 +0200

gnome-shell-extension-dash-to-panel (65-2) unstable; urgency=medium

  * Update standards version to 4.7.1
  * Support gnome-shell version 48 (Closes: #1096041)
    - Patch metadata.json to include gnome-shell version 48
    - Update dependency on gnome-shell to include version 48

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 12:53:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), libglib2.0-bin
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libglib2.0-bin, python3
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
@@ -12,7 +12,10 @@
 
 Package: gnome-shell-extension-dash-to-panel
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 46~), gnome-shell (<< 48~), gnome-shell-extension-prefs
+Depends: ${misc:Depends},
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
+Recommends: gnome-shell-extension-prefs | gnome-shell-extension-manager
 Description: combines the dash and the GNOME main panel into a single panel
  Moves the dash into the GNOME main panel so that the application launchers
  and system tray are combined into a single panel, similar to that found

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/COPYING
	rm -f debian/gnome-shell-extension-dash-to-panel/usr/share/gnome-shell/extensions/dash-to-panel@jderose9.github.com/README.md

execute_before_dh_clean:
	rm -f */*.mo

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

## gnome-shell-extension-dash-to-panel 70

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (70-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.2
  * Remove unnecessary Rules-Requires-Root

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Sep 2025 12:42:05 +0200

## gnome-shell-extension-dash-to-panel 72

=== debian/changelog ===
gnome-shell-extension-dash-to-panel (72-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 11:29:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, python3
-Standards-Version: 4.7.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/jderose9/dash-to-panel
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-dash-to-panel
